/**
 * Conditions class.
 *
 * @since 1.0.0
 */
export default class Replacements {
    field;
    replacements;
    /**
     * Constuctor.
     *
     * @param form Form object.
     * @param conditions Conditions.
     *
     * @since 1.0.0
     */
    constructor(field, replacements = []) {
        this.field = field;
        this.replacements = replacements;
    }
    /**
     * Replace in field.
     *
     * @since 1.0.0
     */
    replace() {
        if (this.replacements.length === 0) {
            return;
        }
        if (this.field.value == null) {
            return;
        }
        this.replacements.forEach(replacement => {
            this.field.value = this.field.value.replace(replacement.from, replacement.to);
        });
    }
}
