/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Trigger {
    form;
    name;
    type;
    conditions;
    actions;
    /**
     * Constructor.
     *
     * @param name Internal name for action.
     * @param trigger Trigger when action fires (change or submit).
     * @param conditions Conditions which have to be fullfilled to run actions after it was triggered.
     * @param actions Actions to be executed.
     *
     * @since 1.0.0
     */
    constructor(form, name, type, conditions, actions) {
        this.form = form;
        this.name = name;
        this.type = type;
        this.conditions = conditions;
        this.actions = actions;
    }
    /**
     * Get trigger type.
     *
     * @returns Type of trigger.
     *
     * @since 1.0.0
     */
    getType() {
        return this.type;
    }
    run() {
    }
}
